Jailbreak 1.1.3 for iPhone/iPod Touch Through Installer

Ok then, I have been looking forward to this for a while and here it is. I do not like manual jailbreaks because I do not trust myself not to mess it up and have to restore all over again. I know there have been jailbreaks for this firmware for a while, but I have waited for a one tap solution. This process will upgrade you to 1.1.3 and install the applications you need to pay for normally. If you are on 1.1.3 then go to https://leebialecki.wordpress.com/2008/01/07/how-to-love-your-iphoneipod-touch-more/ and read the downgrade bit.

So here we go, first of all let me stress that this is NOT a quick process, it can take up to an hour and a half, but you only need to do 5 minutes work and the rest is just letting it do its thing. (Also make sure you have full battery or are connected to a power source):

  1. First thing to do is to go to “Settings” “General” and set the auto sleep to never. Then make sure you have a 1.1.2 jailbroken device, if not look at my other post “How to love you’re iPhone/ iPod Touch more” here you will find instructions of how to jailbreak 1.1.1 and 1.1.2.
  2. After that, make sure you have the latest version of Installer, just check if there are any updates in Installer. Also you must have Open SSH”, “BSD Subsystem” and “Services” installed.
  3. Now go Into Installer then into “Sources”. Tap “Edit” in the top right corner of the screen, then “Add” in the top left. The source you need to ass is http://ipodtouchmaster.com/files/repo.xml
  4. Now you have this new source go to “Install” and “1.1.3 jailbreak + iPhone”. Install that package and the install will begin, it will seem to get stuck but it is just taking its time, leave it for about an hour and check on it every so often.

Ok so there you go, you are now leaving your device for around an hour, if you happen to see the apple logo then it is just about done, the apple logo will show for a while but there is still nothing to worry about, you will eventual come to the locked screen and you have a jailbroken 1.1.3 device.

One thing mentioning is that you will lose all you’re 3rd party apps so you should make a note of what you have and just re-install them. There have also been reports of Summerboard and Customise not working properly on 1.1.3, if they do no work for you there is a way to get them to work and I will update you on that later, I have not jailbroken yet so I will give you more info on what works and what does not when I have done.

Advertisements

3 Responses so far »

  1. 2

    A random dude said,

    hey, does the ipod need to be at 1.1.2 for this to work, or can it be done from 1.1.1?

    Thanks in advance

  2. 3

    Lee Bialecki said,

    Yes random dude, it is always good to be in 1,1,2 when jailbreaking new firmwares even if it does not tell you that you should be. for this one you do need 1.1.2 but if you attempt any others i strongly recommend using the highest jailbroken firmware you can.


Comment RSS · TrackBack URI

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: